<div align="center">
    
<img src="https://cdn.discordapp.com/attachments/739575474711166976/1005512112593961031/kochanowskiJSlogo512.png" width="200" />
    
<p>
<a href=""><img src="https://forthebadge.com/images/badges/gluten-free.svg" /></a>
<a href=""><img src="https://forthebadge.com/images/badges/powered-by-electricity.svg" /></a>
</p>
</div>

## Kochanowski Online

Try Kochanowski Online without setting up the project! https://mmusielik.xyz/projects/kochanowski

## Installation

1. Initialize a new project using `npm init`
2. Install package `kochanowski` using `npm i -D kochanowski`
3. Create a file `konfiguracja.zojs`.
    ```json
    {
        "folderWyjścia": "./out",
        "folderWejścia": "./src"
    }
    ```

4. To `package.json` create a script with content `kochanowski`
5. Create folders that you have defined in `konfiguracja.zojs`

## How to use

Kochanowski.js is ***polished*** JavaScript with a few rules:

1. Begin sentences with upper case
2. End senteces with a dot `.`
3. Custom names (variables) also begin with upper case
4. Name files **in polish** e.g. `główny.pol` *(this is optional tho)*
5. Don't use English math operators e.g. `+`, `-`. Use `plus` `minus`

### Example programs

Kochanowski | JavaScript
-|-
Drukuj("Witaj świecie"). | console.log("Witaj świecie");
Jeżeli (X jest większe od Y) {}. | if (x > y) {}
Stałej PI przypisz wartość 3,14. | const PI = 3.14;
Zmiennej R przypisz wartość 5. | let R = 5;
Dla (Zmiennej I przypisz wartość 0. I jest mniejsze od 5. I zwiększ o 1) | for (let i = 0; i < 5; i++)
Dopóki (X jest mniejsze od 5) {} | while (X < 5) {}
X zwiększ o 1. | x += 1;

### Dictionary

### Libraries

Kochanowski | JavaScript
--- | ---
`Załącz` | `import`
`Zwróć` | `return`
`z biblioteki` | `from`

### Constants

Kochanowski | JavaScript
--- | ---
`Brak` | `null`
`Niezdefiniowane` | `undefined`
`Fałsz` | `false`
`Prawda` | `true`

### Functions & Classes

Kochanowski | JavaScript
--- | ---
`Funkcja` | `function`
`Wyczekuj` | `await`
`Klasa` | `class`
`Konstruktor` | `constructor`

### If else & Loops

Kochanowski | JavaScript
--- | ---
`Jeżeli` | `if`
`Jeśli` | `if`
`W przeciwnym wypadku` | `else`
`Dla` | `for`
`Dopóki` | `while`
`Rób` | `do`
`Sróbój` | `try`
`Łap` | `catch`
`Złam` | `break`
`Kontynuuj` | `continue`

### Assigments   

Kochanowski | JavaScript
--- | ---
`Stałej` | `const`
`Stałych` | `const`
`Stałym` | `const`
`Stały` | `const`
`Stałe` | `const`
`Stała` | `const`
`Zmiennemu` | `let`
`Zmiennej` | `let`
`Zmienne` | `let`
`Zmiennym` | `let`
`Zmienny` | `let`
`Zmienna` | `let`
`której wartość jest równa` | `=`
`który wartość jest równa` | `=`
`któremu wartość jest równa` | `=`
`gdzie wartość jest równa` | `=`
`przypisz wartość` | `=`

### Comparsions

Kochanowski | JavaScript
--- | ---
`nie jest równe` | `!=`
`nie jest równy` | `!=`
`nie jest równa` | `!=`
`jest równe` | `==`
`jest równa` | `==`
`jest równy` | `==`
`jest większe od` | `>`
`jest większa od` | `>`
`jest większy od` | `>`
`jest mniejsze od` | `<`
`jest mniejsza od` | `<`
`jest mniejszy od` | `<`
`jest mniejsza bądź równa` | `<=`
`jest mniejszy bądź równy` | `<=`
`jest mniejsze bądź równe` | `<=`
`jest większe bądź równe` | `>=`
`jest większy bądź równy` | `>=`
`jest większa bądź równa` | `>=`

### Addition

Kochanowski | JavaScript
--- | ---
`plus` | `+`
`dodać` | `+`
`dodane do` | `+`

### Substraction

Kochanowski | JavaScript
--- | ---
`minus` | `-`
`odjąć` | `-`
`odjęte od` | `-`

### Multiplication

Kochanowski | JavaScript
--- | ---
`razy` | `*`
`pomnożyć przez` | `*`
`pomnożone przez` | `*`
`pomnożona przez` | `*`

### Division

Kochanowski | JavaScript
--- | ---
`podzielić na` | `/`
`podzielone na` | `/`
`podzielona na` | `/`
`podzielony na` | `/`

### Rasing to the power

Kochanowski | JavaScript
--- | ---
`do potęgi` | `**`
`do kwadratu` | `**2`
`do sześcianu` | `**3`
`kwadrat` | `**2`
`sześcian` | `**3`
`pierwiastek` | `**0.5`

### π

Kochanowski | JavaScript
--- | ---
`ciasto` | `Math.PI`
`pi` | `Math.PI`
`𝝅` | `Math.PI`
`π` | `Math.PI`

### Random

Kochanowski | JavaScript
--- | ---
`losowaLiczba` | `Math.random()`
`losowanie` | `Math.random()`

### Modulos

Kochanowski | JavaScript
--- | ---
`modulować na` | `%`
`modulowane na` | `%`
`modulowana na` | `%`
`modulowny na` | `%`
`zmodulować na` | `%`
`zmodulowane na` | `%`
`zmodulowana na` | `%`
`zmodulowny na` | `%`

### Other (MATH)

Kochanowski | JavaScript
--- | ---
`zwiększ o` | `+=`
`zmniejsz o` | `-=`
`pomnoż o` | `*=`
`podziel o` | `/=`
`moduluj o` | `%=`
`zmoduluj o` | `%=`

### Other

Kochanowski | JavaScript
--- | ---
`z upchniętym` | `.`
`To` | `this`
`Drukuj` | `console.log`
`wewnątrz` | `in`
`oraz` | `,`
`,` | `.`